Registering VPA
Registering a VPA
The merchant on-boarding APIs are only relevant for an aggregator. If you are an individual merchant, you can proceed to the merchant quickstart and either of our product pages UPI payments or UPI mandates.
This API can be used to assign a VPA to a merchant, which will serve as the merchant identifier for all participants in the UPI ecosystem.
| Host | https://umap.setu.co/api |
|---|---|
| Method | POST |
| Path | /v1/merchants/vpas |
| Header |
|
| API reference | Create VPA ↗ |
vpa is the only parameter which is required to register a VPA for a merchant, if it is available, it will be registered and assigned against the merchant whose id is passed in the merchantId header.
{
"referenceId": "1240689979139556557",
"vpa": "fastestupi@pineaxis"
}{
"createdAt": "2023-09-04 12:08:20.202644 +0530 IST",
"id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
"merchantId": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
"referenceId": "1240689979139556557",
"status": "active",
"vpa": "fastestupi@pineaxis",
"verificationStatus": "verified"
}curl --location 'https://umap.setu.co/api/v1/merchants/vpas' \
--header 'Authorization: Bearer <access_token>' \
--header 'merchantId: <merchant_id>' \
--header 'Content-Type: application/json' \
--data-raw '{
"vpa": "merchant@pineaxis",
"referenceId": "test"
}'